/*
 *  acm : an aerial combat simulator for X
 *  Copyright (C) 1991-1998  Riley Rainey
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; version 2 dated June, 1991.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program;  if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave., Cambridge, MA 02139, USA.
 */

/**
 * CCIP - Constantly Computed Impact Point.
 * 
 * This module implements the Mark 82 drop bomb and the HUD CCIP aiming
 * interface.
 * 
 * @author Riley Rainey
 * @license GNU GPL
 * @version $Date: 2020/01/08 06:01:16 $
 * @file
 */

#ifndef _ccip_h
#define _ccip_h

#include "weapon.h"

#ifdef ccip_IMPORT
	#define EXTERN
#else
	#define EXTERN extern
#endif

/**
 * Creates weapon description record for the Mark 82 drop bomb.
 */
EXTERN weapon_Type * ccip_new(void);

#undef EXTERN
#endif
