/*
 *  acm : an aerial combat simulator for X
 *  Copyright (C) 1991-1998  Riley Rainey
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; version 2 dated June, 1991.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program;  if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave., Cambridge, MA 02139, USA.
 */

#ifndef _windows_h
#define _windows_h

#ifdef windows_IMPORT
	#define EXTERN
#else
	#define EXTERN extern
#endif

/**
 * Resize the window, change HUD mode/classic panel mode, set cockpit view
 * and instrument panel layout.
 */
EXTERN void windows_set_layout(craft * c, viewer * u, int width, int height,
	_BOOL hud_mode);

EXTERN void windows_zoom_in(viewer * u);
EXTERN void windows_zoom_out(viewer * u);

#undef EXTERN
#endif
