/*
 *  Copyright (c) 1994, Riley Rainey,  riley@netcon.com
 *
 *  Permission to use, copy, modify and distribute (without charge) this
 *  software, documentation, images, etc. is granted, provided that this 
 *  comment and the author's name is retained.
 *
 *  This software is provided by the author as is, and without any expressed
 *  or implied warranties, including, but not limited to, the implied
 *  warranties of merchantability and fitness for a particular purpose.  In no
 *  event shall the author be liable for any direct, indirect, incidental, or
 *  consequential damages arising in any way out of the use of this software.
 */

#ifndef CrExFormDlg_H
#define CrExFormDlg_H

#ifdef CrExFormDlg_IMPORT
	#define EXTERN
#else
	#define EXTERN extern
#endif

//#include <Xm/Xm.h>
//#include <Xm/Form.h>
//#include <Xm/PushB.h>
//#include <Xm/PanedW.h>
//#include <Xm/DialogS.h>
//#include <Xm/Separator.h>
//#include "XrMisc.h"

EXTERN void
DestroyParentCallback(Widget w, XtPointer client_data, XtPointer call_data);


EXTERN void
SetDialogPosition(Widget w, XtPointer client_data, XtPointer call_data);

/**
 * Builds an dialog box action area based on a list of
 * buttons passed to it.  This code is based on the example in chapter 7 of
 * the O'Reilly & Associates Volume 6 by Dan Heller.
 */
EXTERN Widget
CreateButtonArea(char *name, Widget parent, ActionAreaButton *buttons, int num_buttons, int tightness, int default_button);

EXTERN Widget
CreateExtendedFormDialog(char *name, Widget parent, Widget *content_widget, ActionAreaButton *buttons, int num_buttons, int default_button);

#undef EXTERN
#endif
